/*
 *      options.h - Part of the usbsync utility 
 *      
 *      Copyright 2008 Sören Wellhöfer <soeren.wellhoefer@gmx.net>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef OPTIONS_H
#define OPTIONS_H 1

#define BOOL int
#define FALSE 0
#define TRUE  1

#define OPTION  unsigned long
#define _OPT(N) ((unsigned char) (1 << N))

/* Option bits */
#define _OPTION_NONE           0x0

/* Specific option bits for usbsync application (see command line parameters) */
#define _OPTION_UPDATE_PROMPT  _OPT(0)
#define _OPTION_SAVE_SYNC      _OPT(1)
#define _OPTION_CHECK_ONLY     0x4
#define _OPTION_CPY_SYMLINKS   0x8
#define _OPTION_IGN_OWNER      0x10
#define _OPTION_SUPPR_ERR      0x20
#define _OPTION_REMOV_SNGL	   0x40

/* Prototypes */
extern void _init_options();
extern BOOL _option_check(OPTION option);
extern void _option_set(OPTION option);
extern void _option_rmv(OPTION option);
extern void _option_print();

#endif
