/*
 *      parser.h - usbsync file parsing and directory scanning core functions
 * 		Part of the usbsync utility ity 
 *      
 *      Copyright 2008 Sören Wellhöfer <soeren.wellhoefer@gmx.net>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef PARSER_H
#define PARSER_H 1

#include "sync.h"


/* Tokens for file prefix/suffix ignoring within directories */
#define IGNORE_PREFIX_STRING "ignore_file_prefix"
#define IGNORE_SUFFIX_STRING "ignore_file_suffix"

/* Flags for syncdata options */
enum {
	TARBALL_ARCHIVE  = 0x1,
	GZIP_COMPRESSION = 0x2,
};

/*
 * Syncdata options are essentially those boolean options
 * which can be set for a synchronization entry.
 * See the flags field in the USBS_SYNCDATA structure in `sync.h'.
 * The character token is just for parsing these options in the
 * `.usbsync' file.
 */
struct syncdata_options {
	const char *const option_token;
	int flag;
};

/* Array of syncdata options */
extern struct syncdata_options sync_opts[];

/* Prototypes */
STACK* parse_usbsync(char *dev_mountpoint);

#endif
