/*
 *      status.c - Termcap percentage status display
 * 		Part of the usbsync utility 
 *      
 *      Copyright 2008 Sören Wellhöfer <soeren.wellhoefer@gmx.net>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef STATUS_H
#define STATUS_H 1

#include <stdio.h>
#include <stdlib.h>

#define BOOL int
#define TRUE  1
#define FALSE 0

typedef struct {
	long unsigned int max;
	long unsigned int current;
	FILE* term_stream; /* terminal stdout stream */
	
	/* data for skipping certain percentage values */
	long unsigned int skip_fraction;
	long unsigned int skip_count; 
	/* C99 both long and int have 32 bits */
} STATUS;

extern int status_update(STATUS *s, int current);
extern void status_destroy(STATUS *s);
extern STATUS* status_new(FILE* term_stream, int max, int start);
extern int status_print(STATUS *s, const char *prnt, ...);

#endif

