/*
 *      sync.h - part of the usbsync utility 
 *      
 *      Copyright 2008 Sören Wellhöfer <soeren.wellhoefer@gmx.net>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef SYNC_H
#define SYNC_H 1

#include "stack/stack.h"
#include "parser.h"

/* A USBS_SYNCDATA structure represents ONE synchronization entry
 * of a `.usbsync' file.
 */
typedef struct {
	/* Original host and usb file entries */
	char *host;
	char *usb;
	
	/* Expanded stack of USBS_FILEs and dirs to be synchronized */
	STACK *sync_files;
	
	/* Stack of ignored prefices and suffices */
	STACK *prefix_ign;
	STACK *suffix_ign;
	
	/* Optional flags for this synchronization entry; see parser.h */
	int flags;
} USBS_SYNCDATA;

void sync_files(STACK *syncdata_stack);
USBS_SYNCDATA* syncdata_new();
void syncdata_destroy(USBS_SYNCDATA **s);

#endif
